:root {
    --nav-top: 60px;
}

.datepicker-backdrop {
    z-index: 6200 !important;
}

.datepicker-modal-container,
.select-dropdown-container {
    z-index: 6201 !important;
}

#basky-main-system {
    padding-top: var(--nav-top);
}

#main-sidenav {
    max-width: 300px !important; 
    width: 90% !important;
}

#main-sidenav .sidenav-link {
    padding: 8px 14px;
    height: 2.8em;
}

.toast-slide-in {
    animation: toastIn 0.5s ease forwards;
}

.toast-slide-out {
    animation: toastOut 0.5s ease forwards;
}

@keyframes toastIn {
    0% {
        opacity: 0;
        transform: translateX(100%);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes toastOut {
    0% {
        opacity: 1;
        transform: translateX(0);
    }
    100% {
        opacity: 0;
        transform: translateX(100%);
    }
}

.sidenav-backdrop {
    background-color: #00000090 !important;
}

.toast-close {
    position: absolute;
    top: 8px;
    right: 8px;
    width: 20px;
    height: 20px;
    padding: 0;
    opacity: 0.8;
    z-index: 10;
    border: none;
    background: transparent;
    cursor: pointer;
}

.toast-close:hover {
    opacity: 1;
}

.toast-content {
    padding-right: 32px;
}

.toast-title {
    font-weight: 600;
    font-size: 18px;
    display: flex;
    flex-direction: row;
    gap: 6px;
}

.toast-body {
    padding: 2px 0px 0px 8px !important;
    font-size: 12.5px;
}

.toast-timer {
    width: 16px;
    height: 16px;
    margin: -1px 0px 0px 4px;
}

.toast-timer svg {
    transform: rotate(-90deg);
}

.toast-icon {
    bottom: -2px;
    left: 30px;
    font-size: 16px;
    opacity: 0.85;
    color: #fff;
    pointer-events: none;
}

.profile-cover {
    height: 26vh;
    display: flex;
    background-size: cover !important;
    background-position: center center;
    background: url(/images/system/cover.jpg);
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;
    margin-bottom: 42px;
}

.border-sel {
    border: 2px solid #198754 !important; /* Bootstrap success green */
}

.media-hover:not(.border-sel):hover {
    border: 2px solid #bdbdbd80 !important; /* Material Grey 400 */
    cursor: pointer;
}

#media-grid,
#media-list {
    overflow: auto !important;
    max-height: 38vh;
}
.status { font-size: 1.2rem; margin-bottom: 1rem; }
i { margin-right: 6px; }
#loader-backdrop { background-color: #21212100; z-index: 8000; width: 100vw; height: 100vh; position: fixed; transition: all 0.35s ease-in-out; }
#loader-backdrop.showin { background-color: #212121FF; opacity: 1; }
#loader-backdrop.showout { background-color: #21212100; opacity: 0; }
#loader-op-backdrop { background-color: #21212100; z-index: 8000; width: 100vw; height: 100vh; position: fixed; transition: all 0.35s ease-in-out; }
#loader-op-backdrop.showin { background-color: #212121A0; opacity: 1; }
#loader-op-backdrop.showout { background-color: #212121A0; opacity: 0; }
#loader-backdrop .loader, #loader-op-backdrop .loader { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); }
.loader {
    width: 47px;
    height: 47px;
    position: relative;
}
.loader:before,
.loader:after {
    content:"";
    display: block;
    border: 24px solid;
    border-color: transparent transparent #fff  #fff;
    position: absolute;
    left: 0;
    top: 0;
    animation: mvx 1.2s infinite ease-in;
}
.loader:before {
    border-color:#fff  #fff transparent transparent;
    animation-name:mvrx;
}
@keyframes mvx {
    0% , 10%  {transform: translate(0 , 0) rotate(0deg)}
    30% {transform: translate(-50% , -50%) rotate(0deg)}
    50% {transform: translate(-50% , -50%) rotate(180deg)}
    75% , 100% {transform: translate(0, 0) rotate(180deg)}
}
@keyframes mvrx {
    0% , 10%  {transform: translate(0 , 0) rotate(0deg)}
    30% {transform: translate(50% , 50%) rotate(0deg)}
    50% {transform: translate(50% , 50%) rotate(180deg)}
    75% , 100% {transform: translate(0, 0) rotate(180deg)}
}

/* Light mode */
/* Light mode */
html:not([data-mdb-theme="dark"]) .sidenav-link.active {
    background: linear-gradient(to right, #9E9E9E40 50%, transparent 100%);
    border-radius: 4px;
    color: #000;
}

/* Dark mode */
html[data-mdb-theme="dark"] .sidenav-link.active {
    background: linear-gradient(to right, #21212140 50%, transparent 100%);
    border-radius: 4px;
    color: #fff;
}

.basky-drop .fas {
    font-size: 22px;
}

@media (max-width: 768px) {
    .profile-cover {
        height: 16vh;
    }
    
    #media-grid,
    #media-list {
        overflow: auto !important;
        max-height: 38vh;
    }

    #media-list .media-item {
        width: 84px !important;
        min-width: 84px !important;
        height: 132px !important;
    }

    .media-hover:hover {
        border: 2.25px solid #14a44d !important;
    }
}